Loading...
Searching...
No Matches
mptcpd_rtm_addr Struct Reference

Encapsulate network address information. More...

## Public Attributes

struct ifaddrmsg const * | ifa
void const *const | addr

## Detailed Description

Encapsulate network address information.

This is a convenience structure that encapsulates rtnetlink `RTM_NEWADDR`, `RTM_DELADDR`, and `RTM_GETADDR` message data for a given network address.

## Member Data Documentation

## addr

void const* const mptcpd_rtm_addr::addr

Network address retrieved from `IFA_ADDRESS` rtnetlink attribute.

## ifa

struct ifaddrmsg const* mptcpd_rtm_addr::ifa

`RTM_NEWADDR`, `RTM_DELADDR`, and `RTM_GETADDR` message data.

The documentation for this struct was generated from the following file:

- lib/network_monitor.c